VTK: vtkXMLDataHeaderImpl< T > Class Template Reference

| VTK 9.3.1

Public Member Functions | List of all members
vtkXMLDataHeaderImpl< T > Class Template Reference

`#include <vtkXMLDataHeaderPrivate.h>`

Inheritance diagram for vtkXMLDataHeaderImpl< T >:
[legend]
Collaboration diagram for vtkXMLDataHeaderImpl< T >:
[legend]

## Public Member Functions
| vtkXMLDataHeaderImpl (size_t n)
void | Resize (size_t count) override
vtkTypeUInt64 | Get (size_t index) const override
bool | Set (size_t index, vtkTypeUInt64 value) override
size_t | WordSize () const override
size_t | WordCount () const override
unsigned char * | Data () override
Public Member Functions inherited from vtkXMLDataHeader
size_t | DataSize () const
virtual | ~vtkXMLDataHeader ()=default

## Additional Inherited Members
Static Public Member Functions inherited from vtkXMLDataHeader
static vtkXMLDataHeader * | New (int width, size_t count)

## Detailed Description

### template<typename T>
class vtkXMLDataHeaderImpl< T >

Definition at line 33 of file vtkXMLDataHeaderPrivate.h.

## Constructor & Destructor Documentation

## ◆ vtkXMLDataHeaderImpl()

template<typename T >

vtkXMLDataHeaderImpl< T >::vtkXMLDataHeaderImpl | ( | size_t | n | ) |
| inline

Definition at line 38 of file vtkXMLDataHeaderPrivate.h.

## Member Function Documentation

## ◆ Resize()

template<typename T >

void vtkXMLDataHeaderImpl< T >::Resize | ( | size_t | count | ) |
| inlineoverridevirtual

Implements vtkXMLDataHeader.

Definition at line 42 of file vtkXMLDataHeaderPrivate.h.

## ◆ Get()

template<typename T >

vtkTypeUInt64 vtkXMLDataHeaderImpl< T >::Get | ( | size_t | index | ) | const
| inlineoverridevirtual

Implements vtkXMLDataHeader.

Definition at line 43 of file vtkXMLDataHeaderPrivate.h.

## ◆ Set()

template<typename T >

bool vtkXMLDataHeaderImpl< T >::Set | ( | size_t | index,
|  | vtkTypeUInt64 | value
| ) |  |
| inlineoverridevirtual

Implements vtkXMLDataHeader.

Definition at line 44 of file vtkXMLDataHeaderPrivate.h.

## ◆ WordSize()

template<typename T >

size_t vtkXMLDataHeaderImpl< T >::WordSize | ( |  | ) | const
| inlineoverridevirtual

Implements vtkXMLDataHeader.

Definition at line 49 of file vtkXMLDataHeaderPrivate.h.

## ◆ WordCount()

template<typename T >

size_t vtkXMLDataHeaderImpl< T >::WordCount | ( |  | ) | const
| inlineoverridevirtual

Implements vtkXMLDataHeader.

Definition at line 50 of file vtkXMLDataHeaderPrivate.h.

## ◆ Data()

template<typename T >

unsigned char* vtkXMLDataHeaderImpl< T >::Data | ( |  | ) |
| inlineoverridevirtual

Implements vtkXMLDataHeader.

Definition at line 51 of file vtkXMLDataHeaderPrivate.h.

The documentation for this class was generated from the following file:

- IO/XMLParser/vtkXMLDataHeaderPrivate.h